GNS3
http://forum.gns3.net/

installing gns3_server-1.0beta3 on linux kali same issuses
http://forum.gns3.net/topic11992.html
Page 1 of 1

Author:  latentgod [ Fri Sep 12, 2014 1:36 pm ]
Post subject:  installing gns3_server-1.0beta3 on linux kali same issuses

Hi all,

I faced the same issues while installing gns3_server-1.0beta3 on linux kali ,and gns3_server-1.0beta1 also that.
That problem is following:


Installed /usr/local/lib/python3.2/dist-packages/gns3_server-1.0beta3.dev1-py3.2.egg
Processing dependencies for gns3-server==1.0beta3.dev1
Searching for jsonschema>=2.3.0
Reading https://pypi.python.org/simple/jsonschema/
Best match: jsonschema 2.4.0
Downloading https://pypi.python.org/packages/source ... 550c02e50f
Processing jsonschema-2.4.0.zip
Writing /tmp/easy_install-eekpag/jsonschema-2.4.0/setup.cfg
Running jsonschema-2.4.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-eekpag/jsonschema-2.4.0/egg-dist-tmp-j4vt3t
Traceback (most recent call last):
File "setup.py", line 73, in <module>
"Programming Language :: Python :: Implementation :: CPython",
File "/usr/lib/python3.2/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.2/distutils/dist.py", line 917, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.2/distutils/dist.py", line 936, in run_command
cmd_obj.run()
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/install.py", line 67, in run
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/install.py", line 117, in do_egg_install
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 370, in run
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 594, in easy_install
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 645, in install_item
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 693, in process_distribution
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/pkg_resources.py", line 631, in resolve
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/pkg_resources.py", line 874, in best_match
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/pkg_resources.py", line 886, in obtain
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 613, in easy_install
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 643, in install_item
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 833, in install_eggs
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 1055, in build_and_install
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/command/easy_install.py", line 1040, in run_setup
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/sandbox.py", line 68, in run_setup
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/sandbox.py", line 114, in run
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/sandbox.py", line 67, in runner
File "/usr/local/lib/python3.2/dist-packages/setuptools-5.7-py3.2.egg/setuptools/sandbox.py", line 43, in _execfile
File "/tmp/easy_install-eekpag/jsonschema-2.4.0/setup.py", line 3, in <module>
# Copyright (C) 2013 GNS3 Technologies Inc.
File "/tmp/easy_install-eekpag/jsonschema-2.4.0/jsonschema/__init__.py", line 18, in <module>
File "/tmp/easy_install-eekpag/jsonschema-2.4.0/jsonschema/validators.py", line 41
if u"id" in cls.META_SCHEMA:
^
SyntaxError: invalid synta


who have some idea could help me .Does anyone have a solution for this?
Thanks

Author:  latentgod [ Sat Sep 13, 2014 7:44 am ]
Post subject:  Re: installing gns3_server-1.0beta3 on linux kali same iss

OK,in the end ,I solve this problem after I upgrade the python,and upgrade to python3.4.

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/